> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# App Deep Link

> Interface description: Get the App scheme and short link of Douyin waiting for user operation release record



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}/user-action
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/publish/records/{recordId}/user-action:
    get:
      tags:
        - Channel Management/Publishing
      summary: App Deep Link
      description: >-
        Interface description: Get the App scheme and short link of Douyin
        waiting for user operation release record
      operationId: PublishRecordController_getUserAction_v2
      parameters:
        - name: recordId
          in: path
          description: Post record ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelPublishUserActionVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      recordId: string
                      platform: string
                      shareId: string
                      schemeUrl: string
                      shortLink: string
                      expiresAt: '2026-07-02T12:00:00.000Z'
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                channelPlatformResponseInvalid15072:
                  summary: ChannelPlatformResponseInvalid (15072)
                  value:
                    code: 15072
                    message: >-
                      The data returned by the {{platform}} platform interface
                      is invalid.
                    data: {}
                    timestamp: 1772099056662
                channelPublishPlatformNotSupported15062:
                  summary: ChannelPublishPlatformNotSupported (15062)
                  value:
                    code: 15062
                    message: This platform does not support publishing
                    data:
                      platform: douyin
                    timestamp: 1772099056662
                publishRecordNotFound15000:
                  summary: PublishRecordNotFound (15000)
                  value:
                    code: 15000
                    message: Release record not found
                    data: {}
                    timestamp: 1772099056662
                publishTaskStatusInvalid15018:
                  summary: PublishTaskStatusInvalid (15018)
                  value:
                    code: 15018
                    message: Post task status does not allow this operation
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelPublishUserActionVo:
      type: object
      properties:
        recordId:
          type: string
          description: Post record ID
        platform:
          type: string
          description: platform
          enum:
            - douyin
        shareId:
          type: string
          description: Douyin share ID
        schemeUrl:
          type: string
          description: Douyin App Scheme URL
        shortLink:
          type: string
          description: short link
        expiresAt:
          description: Expiration time
          type: string
          format: date-time
      required:
        - recordId
        - platform
        - shareId
        - schemeUrl
        - shortLink
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````